Public Member Functions | Data Fields

# ReturnCargoAction Struct Reference

Action for returning reserved cargo. More...

## Public Member Functions
| ReturnCargoAction (Station *st, StationID next_one)
| Construct a cargo return action.
bool | operator() (Vehicle *v)
| Return all reserved cargo from a vehicle.
## Data Fields
Station * | st
| Station to give the returned cargo to.
StationID | next_hop
| Next hop the cargo should be assigned to.

## Detailed Description

Action for returning reserved cargo.

Definition at line 1414 of file economy.cpp.

## Constructor & Destructor Documentation

ReturnCargoAction::ReturnCargoAction | ( | Station * | st,
|  | StationID | next_one |
| ) |  |  | `[inline]`

Construct a cargo return action.

Parameters:

  | st | Station to give the returned cargo to.
  | next_one | Next hop the cargo should be assigned to.

Definition at line 1424 of file economy.cpp.

## Member Function Documentation

bool ReturnCargoAction::operator() | ( | Vehicle * | v | ) | `[inline]`

Return all reserved cargo from a vehicle.

Parameters:

  | v | Vehicle to return cargo from.

Returns:
  true.

Definition at line 1431 of file economy.cpp.

References GoodsEntry::cargo, Vehicle::cargo, Vehicle::cargo_type, Station::goods, VehicleCargoList::Return(), and st.

The documentation for this struct was generated from the following file:

- src/economy.cpp